%{!?__python2:        %define __python2 /usr/bin/python2}
%{!?python2_sitelib:  %define python2_sitelib  %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %define python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%define modn   cryptography_vectors
%define modv   0.7.2


Summary:       Test vectors for Python cryptography
Name:          python-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       APLv2 or BSD
Group:         Development/Libraries
Source0:       https://pypi.python.org/packages/source/c/%{modn}/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-0.7.2-build.patch
URL:           https://pypi.python.org/pypi/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        The Cryptography Developers <cryptography-dev@python.org>
Provides:      python(%{modn}) = %{modv}
BuildRequires: python2-devel >= 2.6 python-setuptools
BuildArch:     noarch


%description
Cryptography_vectors provides test vectors for the cryptography package.


%prep
%setup -q -n %{modn}-%{modv}
%patch0 -p1


%build
%{__python2} -c 'import setuptools; execfile("setup.py")' build


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__python2} -c 'import setuptools; execfile("setup.py")' install \
	--skip-build -O1 --root ${RPM_BUILD_ROOT}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc LICENSE
%{python2_sitelib}/%{modn}
%{python2_sitelib}/*.egg-info


%changelog
* Fri Feb 13 2015 Peter Pramberger <peterpramb@member.fsf.org> - 0.7.2-1
- Initial build
